%global distname askbot-fedmsg
%global modname askbot_fedmsg

Name:               python-askbot-fedmsg
Version:            0.1.0
Release:            1%{?dist}
Summary:            Askbot plugin for emitting events to the Fedora message bus

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/askbot-fedmsg
Source0:            http://pypi.python.org/packages/source/a/%{distname}/%{distname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      fedmsg
BuildRequires:      askbot

Requires:           fedmsg
Requires:           askbot


%description
An askbot plugin for sending messages across the Fedora Infrastructure
message bus.  This plugin hooks itself up to django signals sent by askbot
and simply republishes information to the fedmsg bus.

%prep
%setup -q -n %{distname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst LICENSE
%{python_sitelib}/%{modname}.py*
%{python_sitelib}/%{modname}-%{version}*

%changelog
* Sat Apr 26 2014 Ralph Bean <rbean@redhat.com> - 0.1.0-1
- Try to use FAS usernames instead of askbot login names if possible.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 12 2013 Ralph Bean <rbean@redhat.com> - 0.0.5-1
- Latest upstream includes bugfix for fedmsg cert_prefix.

* Mon Feb 04 2013 Ralph Bean <rbean@redhat.com> - 0.0.4-1
- Latest upstream includes a little bit more information.

* Sun Feb 03 2013 Ralph Bean <rbean@redhat.com> - 0.0.3-1
- Latest upstream with bugfix.

* Sun Feb 03 2013 Ralph Bean <rbean@redhat.com> - 0.0.2-1
- Initial package for Fedora
